#version 330

uniform sampler2D tex;
in vec2 texCoord;

vec4 calcAccumLighting(void);

void main (void) {
	// write Total Color:
	vec4 color = texture2D(tex, texCoord) * calcAccumLighting();
	gl_FragColor = vec4(color.x, color.y, color.z, 1.0);
}